using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Inscritti_InformazioniUtente : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        MembershipUser user = Membership.GetUser();
        LabelAltreInfo.Text = "";
        LabelAltreInfo.Text += "Ultimo Login effettuato il " + user.LastLoginDate + "<br />";
        LabelAltreInfo.Text += "Account utente creato il " + user.CreationDate + "<br />";
        LabelAltreInfo.Text += "Cambiamento Password effettuato il " + user.LastPasswordChangedDate + "<br />";
        if (!Page.IsPostBack)
        {
            TextBoxUserId.Text = user.UserName.ToString();
            TextBoxDomanda.Text = user.PasswordQuestion;
            TextBoxEmail.Text = user.Email;
        }
    }
    protected void ButtonCambiaPassword_Click(object sender, EventArgs e)
    {
        MembershipUser user = Membership.GetUser();
        // cambiamento password
        if (TextBoxPassword.Text != "" && (TextBoxPassword.Text != TextBoxNewPassword.Text) && TextBoxNewPassword.Text != "")
            // l'utente sta tentando di cambiare la password
            try
            {
                if (user.ChangePassword(TextBoxPassword.Text, TextBoxNewPassword.Text))
                    LabelMsg.Text = "Password modificata";
                else
                    LabelMsg.Text = "Tentativo di modifica Password fallito";
            }
            catch (Exception ex)
            {
                LabelMsg.Text = ex.Message;
            }
        else
            LabelMsg.Text = "Campo richiesto vuoto o nuova Password uguale a quella vecchia";
    }
    protected void ButtonCambiaDomanda_Click(object sender, EventArgs e)
    {
        MembershipUser user = Membership.GetUser();
        if (TextBoxPassword.Text != "" && TextBoxDomanda.Text != "" && TextBoxRisposta.Text != "")
            try
            {
                if (user.ChangePasswordQuestionAndAnswer(TextBoxPassword.Text, TextBoxDomanda.Text, TextBoxRisposta.Text))
                    LabelMsg.Text = "Domanda e risposta di sicurezza modificate";
                else
                    LabelMsg.Text = "Tentativo di modifica domanda e risposta di sicurezza fallito";
            }
            catch (Exception ex)
            {
                LabelMsg.Text = ex.Message;
            }
        else
            LabelMsg.Text = "Campo richiesto vuoto";
    }
    protected void ButtonCambiaEmail_Click(object sender, EventArgs e)
    {
        MembershipUser user = Membership.GetUser();
        user.Email = TextBoxEmail.Text;
        try
        {
            Membership.UpdateUser(user);
            LabelMsg.Text = "e-mail modificata";
        }
        catch (Exception ex)
        {
            LabelMsg.Text = ex.Message;
        }
    }
}
